{% set CodiceModulo = "RICH_TRANSITO_MEZZI" %}
{% set Urn = "document:c_c990:viabilita;transito.mezzi.pesanti;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
  { "codice":"CAR-CIR-VEI",
    "urn":"document:s_italia:viabilita;transito.mezzi.pesanti;carta.circolazione.veicolo;documentazione",
    "descrizione_tabella_allegati":"Carta di circolazione del veicolo",
    "annotazioni_tabella_allegati":"",
    "descrizione_meta":"", 
    "filename":"Carta circolazione veicolo",
    "firmatari":"Titolare_CodiceFiscale",
    "firmatari_label":"il dichiarante",
    "firmato":"NO",
    "numero":"1 + (#Parametri_Veicolo2_Targa.value() != '' ? 1 : 0) + (#Parametri_Veicolo3_Targa.value() != '' ? 1 : 0)",
    "dimensione":"15",
    "enabled":"",
    "dynamic_check":"true",
    "tipo":"allegato",
    "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdf"
  },
{ "codice":"MARCA_BOLLO",
  "urn":"document:s_italia:pagamento.imposta.bollo;apposizione.domanda;dichiarazione.sostitutiva",
  "descrizione_tabella_allegati":"Pagamento dell'imposta di bollo",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"",
  "numero":"1",
  "enabled":"",
  "dynamic_check":"true",
  "tipo":"secondario"
},
{ "codice":"RIC-DIR-SEG",
  "urn":"document:s_italia:diritti.segreteria.istruttoria;ricevuta",
  "descrizione_tabella_allegati":"Ricevuta di pagamento dei diritti di segreteria",
  "annotazioni_tabella_allegati":"(da allegare se previsti)",
  "descrizione_meta":"", 
  "filename":"Ricev. diritti segreteria",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdf"
},
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdf" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Polizia locale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di rilascio dell'autorizzazione per transito di automezzi pesanti"
destinatario_amministrazione=""
destinatario_ufficio="UOPOLIZIALOCALE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
generabile_da=""
in_bollo="SI"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|30/08/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdf"/>



{% endblock meta %}

{% block title %}Domanda di rilascio dell'autorizzazione per transito di automezzi pesanti{% endblock title %}

{% block content %}

{{intestazioni.intestazione_moduloprincipale_conbollo()}}

 <input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - transito automezzi pesanti (nuova autorizzazione)'" id="Oggetto" name="Oggetto" type="hidden"/>

<div class="container">
  <div class="title-1"> Domanda di rilascio dell'autorizzazione per transito di automezzi pesanti</div>
  <div class="title-2"> Ai sensi dell'articolo 7 del Decreto legislativo 30/04/1992, n. 285 </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato
      Per il precaricamento del profilo utente settare campi_readonly = 'readonly' -->
      {{ anagrafica.societa(prefix='Titolare', 
      intestazione="Il sottoscritto", 
      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
      Solo1="Richiedente", 
      visibility_mail="mail_ordinaria", 
      pec_obbligatoria="false", 
      cciaa_visibile="true", 
      campi_readonly="readonly", 
      visibility_residenza="visibility:visibility", 
      visibility_asterisco_ruolo="display:none", 
      tipologia_associazione="false", 
      mailordinaria_obbligatoria="false", 
      tipologia_entepubblico="false", 
      visibility_codice_fatturazione="false") }}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> il rilascio dell'autorizzazione per transito di automezzi pesanti </div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per i seguenti veicoli </span>
    </div>
  </div>
  {% for i in range(1, 4) %}
    <div class="form-row">
      <div class="form-group col-lg-3">
        <label for="Parametri_Veicolo{{loop.index}}_Tipo"> Tipo </label>
        <input class="form-control" id="Parametri_Veicolo{{loop.index}}_Tipo" name="Parametri_Veicolo{{loop.index}}_Tipo" label="Tipo" {% if loop.first %} mandatory_enabled="true" {% else %} enabled="#Parametri_Veicolo{{loop.index-1}}_Tipo.value()!=''" {% endif %}>
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_Veicolo{{loop.index}}_Modello"> Modello </label>
        <input class="form-control" id="Parametri_Veicolo{{loop.index}}_Modello" name="Parametri_Veicolo{{loop.index}}_Modello" label="Modello" mandatory_enabled="#Parametri_Veicolo{{loop.index}}_Tipo.value()!=''" >
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_Veicolo{{loop.index}}_Targa"> Targa </label>
        <input class="form-control" id="Parametri_Veicolo{{loop.index}}_Targa" name="Parametri_Veicolo{{loop.index}}_Targa" label="Targa" mandatory_enabled="#Parametri_Veicolo{{loop.index}}_Tipo.value()!=''" >
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_Veicolo{{loop.index}}_Portata"> Portata </label>
        <input class="form-control" id="Parametri_Veicolo{{loop.index}}_Portata" name="Parametri_Veicolo{{loop.index}}_Portata" label="Portata" mandatory_enabled="#Parametri_Veicolo{{loop.index}}_Tipo.value()!=''" >
      </div>
    </div>
  {% endfor %}
</div>
<globo_salto_pagina></globo_salto_pagina>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> dalle seguenti caratteristiche </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_LuogoDestinazione"> Luogo di destinazione </label>
      <input class="form-control" id="Parametri_LuogoDestinazione" name="Parametri_LuogoDestinazione" label="Luogo di destinazione" mandatory_enabled="true">
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_Percorso"> Percorso seguito </label>
      <textarea class="form-control" id="Parametri_Percorso" name="Parametri_Percorso" label="Percorso seguito" mandatory_enabled="true"></textarea>
    </div>
    <div class="form-group col-lg-12">
      <label for="Periodo transito"> Periodo transito </label>
      <textarea class="form-control" id="Periodo transito" name="Periodo transito" label="Periodo transito" mandatory_enabled="true"></textarea>
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_NumeroTransiti"> Numero di transiti </label>
      <input class="form-control" id="Parametri_NumeroTransiti" name="Parametri_NumeroTransiti" label="Numero di transiti" mandatory_enabled="true">
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_Periodo"> In deroga a </label>
      <input class="form-control" id="Parametri_Periodo" name="Parametri_Periodo" label="Deroga" mandatory_enabled="true">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>


<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

 {% endblock content %}
